Cyberduck Mountain Duck CLI

#8242 closed enhancement (fixed)

Remember last selected directory in upload panel

Reported by: dottore Owned by: dkocher
Priority: normal Milestone: 4.6
Component: core Version: 4.5.2
Severity: normal Keywords: folder directory upload
Cc: Architecture: Intel
Platform:

Description

When uploading a series of files it would be useful if Cyberduck would start from the previously used directory. I seem to remember that it used to do this. Currently, it always starts from my desktop.

To be clearer:

I open a session and use the browser to go to the directory where I want to upload to (I.e. on the remote server). I then click Action->Upload.... A finder file selection window opens, and the starting directory is Desktop (local, on my mac). I navigate the finder window to some other directory (on my mac), select the file I want to upload, and upload.

I then want to upload another file, so I click Action->Upload.... again. I would like it to remember the previous directory (on my mac), from which I just uploaded a file, but it starts again at Desktop.

I have searched the ticket data base and didn't find anything about this issue. I've also tried to find a preference setting that would accomplish this, but couldn't find one.

Is there a way to do what I want? If not, would you consider adding a way to do it?

thanks,

Change History (4)

comment:1 Changed on Oct 1, 2014 at 9:31:10 AM by dkocher

  • Summary changed from how to make the upload directory/folder sticky to Remember last selected directory in upload panel

comment:2 Changed on Oct 9, 2014 at 8:46:31 PM by dkocher

  • Milestone set to 4.5.3
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Oct 10, 2014 at 12:09:10 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r15347 and r15348.

comment:4 Changed on Nov 6, 2014 at 9:59:27 PM by dkocher

Addendum on Windows in r15705.

Note: See TracTickets for help on using tickets.
swiss made software